/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cd.hologram.erecettesvg.sql;

/**
 *
 * @author WILLY KASHALA
 */
public class SQLQueryPeage {

    public static String SELECT_ASSUJETTI_BY_NAME = "SELECT P.* FROM T_PERSONNE P WITH(READPAST) WHERE "
            + "( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) AND P.ETAT = 1 "
            + " AND P.CODE IN (SELECT A.PERSONNE FROM T_ASSUJETTISSEMENT A WITH (READPAST) WHERE A.ETAT = 1)";

    public static String SELECT_ASSUJETTI_BY_CODE = "SELECT P.* FROM T_PERSONNE P WITH(READPAST) "
            + " WHERE P.CODE = ?1 AND P.ETAT = 1 AND P.CODE IN "
            + "(SELECT A.PERSONNE FROM T_ASSUJETTISSEMENT A WITH (READPAST) WHERE A.ETAT = 1)";

    public static String SELECT_ASSUJETTI_BY_NIF = "SELECT P.* FROM T_PERSONNE P WITH(READPAST) "
            + "WHERE P.NIF = ?1 AND P.ETAT = 1 AND P.CODE IN "
            + " (SELECT A.PERSONNE FROM T_ASSUJETTISSEMENT A WITH (READPAST) WHERE A.ETAT = 1)";

    public static String SELECT_ARTICLE_OF_ASSUJETTI = "SELECT AB.* FROM T_ARTICLE_BUDGETAIRE AB WITH(READPAST) "
            + "WHERE AB.ETAT = 1 AND AB.CODE IN (SELECT ASS.ARTICLE_BUDGETAIRE "
            + " FROM T_ASSUJETTISSEMENT ASS WITH(READPAST)"
            + " WHERE ASS.PERSONNE = ?1 AND ASS.ETAT = 1"
            + " AND ASS.CODE NOT IN (SELECT PC.ASSUJETTISSEMENT FROM T_PREVISION_CREDIT PC"
            + " WHERE PC.ETAT = 1))";

    public static String SELECT_DETAIL_ASSUJETTISSEMENT_BY_ARTICLE = "SELECT DAS.* FROM T_DETAIL_ASSUJETTISSEMENT DAS WITH (READPAST) "
            + "WHERE DAS.ETAT = 1 AND DAS.ASSUJETTISSEMENT IN (SELECT ASS.CODE FROM T_ASSUJETTISSEMENT ASS "
            + " WITH (READPAST) WHERE ASS.ARTICLE_BUDGETAIRE = ?1 AND ASS.ETAT = 1 AND ASS.PERSONNE = ?2)";

    public static String SELECT_ASSUJETTISSEMENT_BY_ARTICLE_AND_ASSUJETTI = "SELECT * FROM T_ASSUJETTISSEMENT WITH (READPAST) "
            + "WHERE ARTICLE_BUDGETAIRE = ?1 AND PERSONNE = ?2 AND ETAT = 1 ";

    public static String SAVE_PRRVISION_CREDIT = ":EXEC F_NEW_PREVISION_CREDIT ?1, ?2, ?3, ?4, ?5, ?6";

    public static String SAVE_PRRVISION_CREDIT_2 = ":EXEC F_NEW_PREVISION_CREDIT_2 ?1, ?2, ?3, ?4, ?5, ?6";

    public static String SAVE_DETAILS_PREVISION_CREDIT = ":INSERT INTO T_DETAIL_PREVISION_CREDIT(DETAIL_ASSUJETTISSEMENT,MONTANT,DEVISE,ETAT) "
            + " VALUES (?1, ?2, ?3, ?4)";

    public static String SAVE_DETAILS_PREVISION_CREDIT_V2 = ":INSERT INTO T_DETAILS_PREVISION_CREDIT(FK_PREVISION_CREDIT,FK_BIEN,TAUX,"
            + " TYPE,NBRE_TOUR_SOUSCRIT,TOTAL_TAUX,FK_DEVISE,FK_DETAIL_ASSUJETTISSEMENT,ETAT) VALUES ('%s',?1, ?2, ?3, ?4, ?5,?6,?7,1)";

    public static String SELECT_PERSONNES_BY_NAME = "SELECT P.* FROM T_PERSONNE P WITH (READPAST) WHERE "
            + "( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) AND P.ETAT = 1 AND CODE IN (SELECT PERSONNE FROM T_ASSUJETTISSEMENT WHERE ETAT = 1)";

//    public static String SELECT_PERSONNES_BY_NAME = "SELECT P.* FROM T_PERSONNE P WITH (READPAST) WHERE "
//            + "( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) AND P.ETAT = 1 "
//            + " AND P.CODE NOT IN (SELECT ASS.PERSONNE FROM T_ASSUJETTISSEMENT ASS  WITH (READPAST)"
//            + " WHERE ASS.CODE IN (SELECT PC.ASSUJETTISSEMENT FROM T_PREVISION_CREDIT PC "
//            + " WITH (READPAST) WHERE PC.ETAT = 1))";
    public static String SELECT_PERSONNE_BY_NIF = "SELECT P.* FROM T_PERSONNE P WITH(READPAST) "
            + " WHERE P.NIF = ?1 AND P.ETAT = 1"
            + " AND P.CODE NOT IN (SELECT ASS.PERSONNE FROM T_ASSUJETTISSEMENT ASS  WITH (READPAST)"
            + " WHERE ASS.CODE IN (SELECT PC.ASSUJETTISSEMENT FROM T_PREVISION_CREDIT PC"
            + " WITH (READPAST) WHERE PC.ETAT = 1))";

    public static String SELECT_PERSONNE_BY_CODE = "SELECT P.* FROM T_PERSONNE P WITH(READPAST) "
            + " WHERE P.CODE = ?1 AND P.ETAT = 1"
            + " AND P.CODE NOT IN (SELECT ASS.PERSONNE FROM T_ASSUJETTISSEMENT ASS  WITH (READPAST)"
            + " WHERE ASS.CODE IN (SELECT PC.ASSUJETTISSEMENT FROM T_PREVISION_CREDIT PC"
            + " WITH (READPAST) WHERE PC.ETAT = 1))";

    public static String EXEMPTE_ASSUJETTI = ":INSERT INTO T_PERSONNE_EXEMPTEE(PERSONNE,AGENT_CREAT,DATE_CREATE,ETAT) "
            + " VALUES (?1, ?2, ?3, ?4)";

    public static String SELECT_PERSONNE_EXEMPTE = "SELECT * FROM T_PERSONNE_EXEMPTEE WITH(READPAST)"
            + " WHERE PERSONNE = ?1 AND ETAT = 1 ";

    public static String DISABLED_PERSONNE_EXEMPTE = "UPDATE T_PERSONNE_EXEMPTEE SET ETAT = 0 WHERE ID = ?1";

}
